import React, {useContext} from 'react';
import '../../Css/Navbar.css'
import axios from 'axios';
import { useNavigate } from 'react-router-dom'; // Import useNavigate hook
import { GlobalContext } from '../../Context/GlobalContext';


function TopNavBar({}) {
  const navigate = useNavigate();
  const {serverAddress, serverPort, loggedInStatus, setLoggedInStatus} = useContext(GlobalContext);

  const handleSignOut = async (e) => {

    try {
      // Send a POST request to logout the current user
      const response = await axios.post(serverAddress + ':' + serverPort + '/api/logout', {
        withCredentials: true, // Include credentials (cookies) in the request
        headers: {
            'Content-Type': 'application/json', 
        },
      });

      if (response.data.success) {
        console.log("Logging out")
      } else {
        console.log("Failed logout")
      }

    } catch (error) {
      console.log(e);
    }

    setLoggedInStatus(false);
    navigate("/");
  };

  return (
    <div className="border-wrap">
      <div className="top-nav">
        <button className='nav-button' onClick={handleSignOut} >Sign Out</button>
    
            {/* Toggle button to switch between Map and Visualiser 
            <button className='nav-button' onClick={toggleDisplay}>
              {displayMap ? 'Switch to Visualiser' : 'Switch to Map'}
            </button>
            */}
            
        <h1 className='h1'>DASHBOARD</h1>
      </div>
    </div>
  );
}

export default TopNavBar;