import React from 'react';
import { createContext, useState } from 'react';

// // Create a Context for global state management
export const GlobalContext = createContext(null);

const GlobalContextProvider = ({ children }) => {
    // State for the server address
    const [serverAddress, setServerIPAddress] = useState('http://127.0.0.1');

    // State for the server port
    const [serverPort, setServerPort] = useState('5000');

    // State to track the user's login status
    const [loggedInStatus, setLoggedInStatus] = useState(false);

    // State to store selected options for various components
    const [selectedOptions, setSelectedOptions] = useState({});

    return (
        <GlobalContext.Provider value={{
                serverAddress,
                serverPort,
                loggedInStatus,
                setLoggedInStatus,
                selectedOptions,
                setSelectedOptions
            }}>
            {children}
        </GlobalContext.Provider>
    );
};

export default GlobalContextProvider;