import React, { useContext } from 'react';
import { Navigate, Outlet } from 'react-router-dom';
import { GlobalContext } from '../Context/GlobalContext';

const ProtectedRoute = () => {
    const {loggedInStatus} = useContext(GlobalContext);
    const token = loggedInStatus;

    // Session not accessible since HttpOnly is enabled for cookies
    // localStorage.getItem("session");

    return (
        token ? 
        <Outlet /> : <Navigate to="/" /> // Render child elements or navigate depending on token value
    )
}

export default ProtectedRoute;